libzmf::Point Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libzmf::Point Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Point ()
| Point (double xVal, double yVal)
Point | move (double dx, double dy) const
Point | rotate (double rotation, const Point &center) const
double | distance (const Point &p2) const

## Public Attributes
double | x
double | y

## Constructor & Destructor Documentation

## ◆ Point() [1/2]

libzmf::Point::Point | ( |  | ) |
| inline

Referenced by distance(), move(), and rotate().

## ◆ Point() [2/2]

libzmf::Point::Point | ( | double | xVal,
|  | double | yVal )
| inline

## Member Function Documentation

## ◆ distance()

double libzmf::Point::distance | ( | const Point & | p2 | ) | const

## ◆ move()

Point libzmf::Point::move | ( | double | dx,
|  | double | dy ) const

Referenced by libzmf::ZMFCollector::collectPolygon(), and libzmf::BoundingBox::topLeft().

## ◆ rotate()

Point libzmf::Point::rotate | ( | double | rotation,
|  | const Point & | center ) const

Referenced by libzmf::ZMFCollector::collectPolygon().

## Member Data Documentation

## ◆ x

double libzmf::Point::x

Referenced by libzmf::ZMFCollector::collectArc(), libzmf::ZMFCollector::collectEllipse(), libzmf::ZMFCollector::collectImage(), libzmf::ZMFCollector::collectPolygon(), libzmf::ZMFCollector::collectTable(), libzmf::ZMFCollector::collectTextObject(), distance(), move(), libzmf::operator==(), Point(), Point(), libzmf::BoundingBox::quadrant(), libzmf::ZMF4Parser::readGradient(), rotate(), and libzmf::ZMFCollector::writeShadow().

## ◆ y

double libzmf::Point::y

Referenced by libzmf::ZMFCollector::collectArc(), libzmf::ZMFCollector::collectEllipse(), libzmf::ZMFCollector::collectImage(), libzmf::ZMFCollector::collectPolygon(), libzmf::ZMFCollector::collectTable(), libzmf::ZMFCollector::collectTextObject(), distance(), move(), libzmf::operator==(), Point(), Point(), libzmf::BoundingBox::quadrant(), libzmf::ZMF4Parser::readGradient(), rotate(), and libzmf::ZMFCollector::writeShadow().

The documentation for this struct was generated from the following files:

- ZMFTypes.h
- ZMFTypes.cpp